<?php
/*
 * Contents of this file were modified by Anna Kurowska, and/or others; last modified 2020-02-16
 */

// Establish (if first run) or load (based on previously selected options) icon sets to use
if (self::WPORG) {

    // Establish (if first run) or load (based on previously selected options) icon sets to use
    $fo_icons = get_option('agsdi_fo_icons');     // Free Outline 300
    if (!$fo_icons || $fo_icons == false) {
        add_option('agsdi_fo_icons', 'yes', '', 'yes');
        $fo_icons = "yes";
    }
}
?>

<div id="ds_icon_expansion-settings-container">
    <div id="ds_icon_expansion-settings">

        <div id="ds_icon_expansion-settings-header">
            <div class="ds_icon_expansion-settings-logo">
                <h1> <?php echo esc_html__(self::PLUGIN_NAME, 'ds-icon-epxansion'); ?></h1>
            </div>
            <div id="ds_icon_expansion-settings-header-links">
                <a id="ds_icon_expansion-settings-header-link-review" href="https://wordpress.org/support/plugin/wp-and-divi-icons/reviews/"
                   target="_blank"><?php echo esc_html__('Leave Us A Review', 'ds-icon-epxansion') ?></a>
                <a id="ds_icon_expansion-settings-header-link-upgrade" href="https://aspengrovestudios.com/product/wp-and-divi-icons/?utm_source=wadi&amp;utm_medium=link&amp;utm_campaign=wp-plugin-upgrade-link"
                   target="_blank"><?php echo esc_html__('Upgrade To Pro', 'ds-icon-epxansion') ?></a>
            </div>
        </div>

        <ul id="ds_icon_expansion-settings-tabs">
            <li><a href="#icon-sets"><?php esc_html_e('Icon Packs', 'ds-icon-expansion'); ?> </a></li>
            <li class="disabled"><a><?php esc_html_e('Multi-Color Icons', 'ds-icon-expansion'); ?> <span class="ds_icon_expansion_pro">PRO</span></a></li>
            <li class="ds_icon_expansion-settings-active"><a href="#instructions"><?php esc_html_e('About & Instructions', 'ds-icon-expansion'); ?></a></li>
        </ul>

        <div id="ds_icon_expansion-settings-tabs-content">
            <div id="ds_icon_expansion-settings-icon-sets">
                <form id="agsdi-icon-sets" method="post">
                    <h3><?php echo(esc_html__('Free Icon Pack', 'ds-icon-expansion')); ?></h3>

                    <ul class="agsdi-icon-sets-list">
                        <li>
                            <input type="checkbox" name="agsdi-fo-icons" checked="checked" disabled>
                            <label for="agsdi-fo-icons"><?php esc_html_e('300+ Free Outline Icon Pack', 'ds-icon-expansion'); ?></label>
                        </li>
                    </ul>
                    <hr>
                    <h2><?php esc_html_e('Premium Icon Packs', 'ds-icon-expansion'); ?></h2>
                    <p><?php printf(
                            esc_html__('Upgrade to %sWP and Divi Icons Pro%s to unlock over 2500 additional icons plus any new icon packs we create.', 'ds-icon-expansion'),
                            '<a href="https://aspengrovestudios.com/product/wp-and-divi-icons/?utm_source=wadi&utm_medium=link&utm_campaign=wp-plugin-upgrade-link" target="_blank">',
                                    '</a>'
                            )
                            ?></p>
                    <p><?php echo sprintf(
                            esc_html__('You can uncheck icon sets that you do not wish to load. This can help improve page builder performance by not including icons sets you do not use on your site.', 'ds-icon-expansion'),
                            esc_html(self::PLUGIN_NAME),
                            '<span data-icon="agsdix-sao-design" class="agsdi-icon"></span>'
                        ); ?>
                    </p>
                    <ul class="agsdi-icon-sets-list">
                        <li>
                            <input type="checkbox" name="agsdi-fa-icons" disabled>
                            <label for="agsdi-fa-icons"><?php esc_html_e('Font Awesome Icon Pack', 'ds-icon-expansion'); ?> <span class="ds_icon_expansion_pro">PRO</span></label>
                        </li>
                        <li>
                            <input type="checkbox" name="agsdi-mc-icons" disabled>
                            <label for="agsdi-mc-icons"><?php esc_html_e('Multi-Color Icon Pack', 'ds-icon-expansion'); ?> <span class="ds_icon_expansion_pro">PRO</span></label>
                        </li>
                        <li>
                            <input type="checkbox" name="agsdi-md-icons" disabled>
                            <label for="agsdi-md-icons"><?php esc_html_e('Material Design Icon Pack', 'ds-icon-expansion'); ?> <span class="ds_icon_expansion_pro">PRO</span></label>
                        </li>
                        <li>
                            <input type="checkbox" name="agsdi-ui-icons" disabled>
                            <label for="agsdi-ui-icons"><?php esc_html_e('100 Universal Icon Pack', 'ds-icon-expansion'); ?> <span class="ds_icon_expansion_pro">PRO</span></label>
                        </li>
                        <li>
                            <input type="checkbox" name="agsdi-np-icons" disabled>
                            <label for="agsdi-np-icons"><?php esc_html_e('Non Profit Icon Pack', 'ds-icon-expansion'); ?> <span class="ds_icon_expansion_pro">PRO</span></label>
                        </li>
                        <li>
                            <input type="checkbox" name="agsdi-cs-icons" disabled>
                            <label for="agsdi-cs-icons"><?php esc_html_e('Cleaning Service Icon Pack', 'ds-icon-expansion'); ?> <span class="ds_icon_expansion_pro">PRO</span></label>
                        </li>
                    </ul>
                </form>
            </div>

            <div id="ds_icon_expansion-settings-instructions" class="ds_icon_expansion-settings-active">
                <h3><?php echo(esc_html__('Instructions', 'ds-icon-expansion')); ?></h3>
                <p><?php echo sprintf(
                        esc_html__('Easily insert one of the 300+ icons provided by %s when using the WordPress visual editor to create and edit posts, pages, and other content! Simply click on the %s icon in the editor\'s toolbar to open the icon insertion window.', 'ds-icon-expansion'),
                        esc_html(self::PLUGIN_NAME),
                        '<i class="mce-ico mce-i-agsdi"></i>'
                    ); ?>
                </p>
                <p><?php echo sprintf(
                        esc_html__('If you use the %sDivi or Extra theme%s or the %sDivi Builder%s, you can also use the 300+ icons provided by %s anywhere that the Divi Builder allows you to specify an icon, such as in Buttons, Blurbs, and much more! Works in both the Divi Builder and the Visual Builder.', 'ds-icon-expansion'),
                        '<a href="http://www.elegantthemes.com/affiliates/idevaffiliate.php?id=32248_0_1_10" target="_blank">',
                        '</a>',
                        '<a href="http://www.elegantthemes.com/affiliates/idevaffiliate.php?id=32248_0_1_10" target="_blank">',
                        '</a>',
                        esc_html(self::PLUGIN_NAME)
                    ); ?>
                </p>

                <hr>

                <h3><?php echo(esc_html__('Check out these products too!', 'ds-icon-expansion')); ?></h3>
                <ul id="ds_icon_expansion-settings-products">
                    <?php
                    foreach (self::getCreditPromos('admin-page', true) as $promo) {
                        echo('<li>' . $promo . '</li>');
                    }
                    ?>
                </ul>

            </div>
        </div>
    </div>

    <p><em><?php esc_html_e('Divi is a registered trademark of Elegant Themes, Inc. This product is not affiliated with nor endorsed by Elegant Themes. Links to the Elegant Themes website on this page are affiliate links.', 'ds-icon-expansion'); ?></em></p>

    <script>
        var ags_wadip_free_tabs_navigate = function () {
            jQuery('#ds_icon_expansion-settings-tabs-content > div, #ds_icon_expansion-settings-tabs > li').removeClass('ds_icon_expansion-settings-active');
            jQuery('#ds_icon_expansion-settings-' + location.hash.substr(1)).addClass('ds_icon_expansion-settings-active');
            jQuery('#ds_icon_expansion-settings-tabs > li:has(a[href="' + location.hash + '"])').addClass('ds_icon_expansion-settings-active');
        };

        if (location.hash) {
            ags_wadip_free_tabs_navigate();
        }

        jQuery(window).on('hashchange', ags_wadip_free_tabs_navigate);
    </script>
